@import "variables/colors";
@import "variables/font";

.profile-info {
  background-color: $neutral-10;
  padding: 1rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  border-radius: 5px;
  &__left {
    .ids {
      margin-top: 1rem;

      .item {
        padding: 0;
        margin: 0;
        &--bigger {
          font-size: $h6-font-size;
        }
        &--divider {
          background-color: $neutral-40;
          width: 150px;
          height: 2px;
          margin: 0.3rem 0;
          border-radius: 10px;
        }
        &__description {
          color: $caribbean-green-60;
        }
      }
    }
  }
  &__right {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    flex-direction: column;
    &--extra-info {
      justify-content: center;
    }
    .item {
      padding: 0;
      margin: 0;
      text-align: right;
      &__title,
      &__description {
        font-size: $label-font-size;
      }
      &--divider {
        background-color: $neutral-40;
        height: 2px;
        margin: 0.3rem 0;
        border-radius: 10px;
      }
    }
    .freeze-info {
      display: grid;
      justify-content: flex-end;
      align-items: flex-end;
    }

    &__loader {
      display: flex;
      flex-direction: column;
      align-items: flex-end;
    }
  }
}
